﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" encoding="ISO-8859-1"/>

<xsl:param name="count"/>

<xsl:template match="/">
	<xsl:apply-templates select="rss/channel"/>
	<ul>
		<xsl:apply-templates select="rss/channel/item"/>
	</ul>
</xsl:template>

<xsl:template match="rss/channel">
	<h2>
		<a>
			<xsl:attribute name="href"><xsl:value-of select="link/."/></xsl:attribute>
			<xsl:attribute name="target">_blank</xsl:attribute>
      <xsl:value-of select="title"/>
    </a>
	</h2>
</xsl:template>

<xsl:template match="rss/channel/item">
	<xsl:if test="string-length($count) = 0 or position() &lt;= $count">
		<li>
			<a>
				<xsl:attribute name="href"><xsl:value-of select="link/."/></xsl:attribute>
				<xsl:attribute name="target">_blank</xsl:attribute>
	      <xsl:value-of select="title"/>
	    </a>
	    <br/>
	    <xsl:value-of select="description/."/>
		</li>
	</xsl:if>
</xsl:template>

</xsl:stylesheet>
